Autoupdates Di WordPress de Têkçû? FTP Têkçû?

WordPressDi demên dawî de, xerîdarek me hebû ku serverên xwe ji bo karanîna WordPress-ê vesaz kir. Gava ku ya nêz 3.04 ewlehî nûvekirin hat, hinek hestiyariya lezgîn hebû ku vê guhertoya li ser hemî xerîdarên me hate saz kirin. Lêbelê, ev xerîdarê taybetî her gav hewce dike ku em WordPress-ê bi destan nûve bikin… pêvajoyek ne ji dil êş!

Em ê tîpîk negirin ”nikare pelan binivîse”Xeletiya li ser vê tevnvîsê. Di şûna wê de me ekranek bi têketina FTP re peyda kir. Pirsgirêk ev bû ku em ê pêbawerên FTP dagirin û wê jî hîn jî têk diçin… Vê carê li ser bingeha bawernameyên baş!

Ez bi hevalên me re li Navendên Daneyên Jiyanê, yên Indiana, ketim têkiliyê navenda daneya herî mezin, ji ber ku hin gêrîkên Apache-yên wan hene û serverên xwe saz kirine. Wan çareseriyek hêsan pêşkêşî min kirin - rasterast di nav de belgeyên FTP zêde kirin wp-config.php pelê ku pelgeyên FTP-yê dijwar kod dike:

define ('FTP_HOST', 'localhost'); define ('FTP_USER', 'Navê Bikarhêner'); define ('FTP_PASS', 'passwordîfre');

Ji ber hin sedeman, pêbawerên wekhev ên ku di formê de nexebitîn, dema ku ketin pelê vesazkirinê bêkêmasî xebitîn! Her weha, ew dike ku WordPress bêyî ku pêdivî bi FTP hebe mîna ku tevbigere. tenê nûvekirinê bikirtînin û biçin!

4 Comments

  1. 1

    Min çewtî nûvekirina nûvekirina WordPress-ê piştî ku servera xwe ji nû ve saz kir û sazkirina nû ya WordPress-ê spinning kir. Pirsgirêka min ji Firefox-ê derket, ne ji WordPress-ê - dibe ku yên din heman pirsgirêkê biceribînin heke navê bikarhêner û FTP-yê WordPress-ê ya wan wekî ya min be (her çend bi sermiyan û şîfreyên cuda bin).

    Pirsgirêk ev e ku Firefox, heke we "şîfreyên bîr bînin" vekirî be, dê bikarhêner bixweber rast bike / di formê re derbas bike ya ku ew difikire ku ew pêdivî ye ku li gorî tiştê ku di gerînendeyê şîfreyê de hatî hilanîn be. Di rewşê min de, pêbawerên WordPress-ê min xilas kirin, lê pêbawerên min ên FTP-ê ne bûn, ji ber ku ew dikarin ji bo SSH-ê bikar bînin nav malperê. Mirovên di vê rewşê de dema ku hewil didin ku nûvekirina xweser a WordPress-ê bikar bînin an jî dikarin perçek kodê li WordPress-ê bikar bînin da ku vê tevgerê rast bikin, di "Bijareyên / Vebijarkên xwe" de bi rengekî demkî dikarin "Bîra şîfreyan bi bîr bînin".

  2. 2

    Doug,

    Heman pirsgirêk bi avakirina xaniyek Apache re hebû. Derdikeve holê ku ew encama destûr û xwedaniya neheq a li ser hin pelan û rêbernameyan bû.

    http://robspencer.net/auto-update-wordpress-without-ftp/

    Zencîreya jorîn fêr bû ka meriv çawa bêyî rastnivîsên ftp bikar tîne pirsgirêk rast bike. Bê guman ez tewsiye nakim ku hûn tevê pelrêça bikarhênerê xwe bi 775-an bikin (û min ne kir) lê ev min ber bi rêgezek rast ve dibe.

    adam

  3. 3

    Ji bo yên din ên ku li çareseriyên gengaz digerin: Bloggerekî din pirsgirêkên nûvekirina xweya xwe çareser kir bi eşkereyî mêvandarê xwe neçar kir ku php5 bikar bîne û jêrîn li pelê xwe .httaccess zêde bike:

    AddType x-mapp-php5 .php

  4. 4

    Spas dikim ji bo parvekirina zanînê, min pirsgirêkên bi otoupdates re peyda kir lê tenê çareseriya ku min dît ev e ku ez pêvekan deaktîf bikim paşê WordPress-ê bixweber bikim û di dawiyê de hemî pêvekan bertekdar bikim.

    Ev serişte ji bo pirsgirêkek cihêreng e lê baş e ku meriv zanibe wê çawa çareser bike.

    Silav ji Meksîkayê!

Hûn çi difikirin?

Ev malpera Akismet bikar tîne ku ji bo kêmkirina spam. Zêdetir agahdariya danûstandinên we çawa pêvajoy kirin.